Getting "Keil License expired" error message in PSoC Creator

Question: When I compile project using PSoC Creator, I get following error:  "ERROR: Keil License expired. Obtain a valid Keil license and update the information through your installed version of Keil or in PSoC Creator"  How to remove this error?

 

Answer:

This error means that your Kiel License has been expired and need to be registered. Please go though the KB article on PSoC Creator - Keil Registration which tells how to register Keil Compiler.